
package com.redxun.knowledge.controller;

import com.redxun.common.annotation.ClassDefine;
import com.redxun.common.base.db.BaseService;
import com.baomidou.mybatisplus.core.toolkit.ObjectUtils;
import com.redxun.common.base.entity.JsonResult;
import com.redxun.common.tool.StringUtils;
import com.redxun.knowledge.entity.dao.News;
import com.redxun.knowledge.service.NewsServiceImpl;
import com.redxun.web.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import java.util.Arrays;
import java.util.List;

@Slf4j
@RestController
@RequestMapping("/knowledge/news")
@Api(tags = "业务--新闻表")
@ClassDefine(title = "业务--新闻表",alias = "NewsController",path = "/knowledge/news",packages = "",packageName = "子系统名称")
public class NewsController extends BaseController<News> {

@Autowired
NewsServiceImpl newsService;


@Override
public BaseService getBaseService() {
return newsService;
}

@Override
public String getComment() {
return "业务--新闻表";
}

}

