
package com.redxun.knowledge.service;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.redxun.common.base.db.BaseDao;
import com.redxun.common.base.db.BaseService;
import com.redxun.common.tool.IdGenerator;
import com.redxun.common.service.impl.SuperServiceImpl;
import com.redxun.knowledge.entity.dao.KnowledgeCategory;
import com.redxun.knowledge.mapper.KnowledgeCategoryMapper;
import org.springframework.stereotype.Service;
import java.util.ArrayList;
import java.util.List;
import javax.annotation.Resource;

/**
* [业务--知识分类表]业务服务类
*/
@Service
public class KnowledgeCategoryServiceImpl extends SuperServiceImpl<KnowledgeCategoryMapper, KnowledgeCategory> implements BaseService<KnowledgeCategory> {

    @Resource
    private KnowledgeCategoryMapper knowledgeCategoryMapper;

    @Override
    public BaseDao<KnowledgeCategory> getRepository() {
        return knowledgeCategoryMapper;
    }

}
