
package com.redxun.knowledge.service;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.redxun.common.base.db.BaseDao;
import com.redxun.common.base.db.BaseService;
import com.redxun.common.tool.IdGenerator;
import com.redxun.common.service.impl.SuperServiceImpl;
import com.redxun.knowledge.entity.dao.News;
import com.redxun.knowledge.mapper.NewsMapper;
import org.springframework.stereotype.Service;
import java.util.ArrayList;
import java.util.List;
import javax.annotation.Resource;

/**
* [业务--新闻表]业务服务类
*/
@Service
public class NewsServiceImpl extends SuperServiceImpl<NewsMapper, News> implements BaseService<News> {

    @Resource
    private NewsMapper newsMapper;

    @Override
    public BaseDao<News> getRepository() {
        return newsMapper;
    }

}
