
package com.redxun.knowledge.controller;

import com.redxun.common.annotation.ClassDefine;
import com.redxun.common.base.db.BaseService;
import com.baomidou.mybatisplus.core.toolkit.ObjectUtils;
import com.redxun.common.base.entity.JsonResult;
import com.redxun.common.tool.StringUtils;
import com.redxun.knowledge.entity.dao.Knowledge;
import com.redxun.knowledge.service.KnowledgeServiceImpl;
import com.redxun.web.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import java.util.Arrays;
import java.util.List;

@Slf4j
@RestController
@RequestMapping("/knowledge/knowledge")
@Api(tags = "业务--知识表")
@ClassDefine(title = "业务--知识表",alias = "KnowledgeController",path = "/knowledge/knowledge",packages = "",packageName = "子系统名称")
public class KnowledgeController extends BaseController<Knowledge> {

@Autowired
KnowledgeServiceImpl knowledgeService;


@Override
public BaseService getBaseService() {
return knowledgeService;
}

@Override
public String getComment() {
return "业务--知识表";
}

}

